package com.qmth.themis.backend.mongodb.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: mongodb 考试科目 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/6
 */
@ApiModel(value = "TEExamCourse", description = "考试科目")
@Document(collection = "TEExamCourse")
public class MTEExamCourseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "场次ID")
    private Long examActivityId;

    @ApiModelProperty(value = "科目编码")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "是否开启客观题乱序")
    private Integer objectiveShuffle;

    @ApiModelProperty(value = "是否选项乱序，针对一个科目进行设置")
    private Integer optionShuffle;

    @ApiModelProperty(value = "所有绑定的考试试卷")
    private String paperIds;

//    @DBRef
//    private List<MTEExamPaperEntity> mteExamPaperEntityList;
//
//    public List<MTEExamPaperEntity> getMteExamPaperEntityList() {
//        return mteExamPaperEntityList;
//    }
//
//    public void setMteExamPaperEntityList(List<MTEExamPaperEntity> mteExamPaperEntityList) {
//        this.mteExamPaperEntityList = mteExamPaperEntityList;
//    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getObjectiveShuffle() {
        return objectiveShuffle;
    }

    public void setObjectiveShuffle(Integer objectiveShuffle) {
        this.objectiveShuffle = objectiveShuffle;
    }

    public Integer getOptionShuffle() {
        return optionShuffle;
    }

    public void setOptionShuffle(Integer optionShuffle) {
        this.optionShuffle = optionShuffle;
    }

    public String getPaperIds() {
        return paperIds;
    }

    public void setPaperIds(String paperIds) {
        this.paperIds = paperIds;
    }
}
