package com.qmth.themis.backend.mongodb.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: mongodb 考试试卷 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/6
 */
@ApiModel(value = "TEExamPaper", description = "考试试卷")
@Document(collection = "TEExamPaper")
public class MTEExamPaperEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "试卷名称")
    private String name;

    @ApiModelProperty(value = "试卷总分")
    private Double totalScore;

    @ApiModelProperty(value = "题干路径")
    private String paperPath;

    @ApiModelProperty(value = "标答路径")
    private String standardAnswerPath;

    @ApiModelProperty(value = "解密密钥")
    private String decryptSecret;

    @ApiModelProperty(value = "自动、手动、不加密")
    private Integer encryptMode;

    @ApiModelProperty(value = "题干包含音视频")
    private Integer hasVideo;

    @ApiModelProperty(value = "是否需要语音作答")
    private Integer needVoiceAnswer;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getPaperPath() {
        return paperPath;
    }

    public void setPaperPath(String paperPath) {
        this.paperPath = paperPath;
    }

    public String getStandardAnswerPath() {
        return standardAnswerPath;
    }

    public void setStandardAnswerPath(String standardAnswerPath) {
        this.standardAnswerPath = standardAnswerPath;
    }

    public String getDecryptSecret() {
        return decryptSecret;
    }

    public void setDecryptSecret(String decryptSecret) {
        this.decryptSecret = decryptSecret;
    }

    public Integer getEncryptMode() {
        return encryptMode;
    }

    public void setEncryptMode(Integer encryptMode) {
        this.encryptMode = encryptMode;
    }

    public Integer getHasVideo() {
        return hasVideo;
    }

    public void setHasVideo(Integer hasVideo) {
        this.hasVideo = hasVideo;
    }

    public Integer getNeedVoiceAnswer() {
        return needVoiceAnswer;
    }

    public void setNeedVoiceAnswer(Integer needVoiceAnswer) {
        this.needVoiceAnswer = needVoiceAnswer;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
