package com.qmth.themis.backend.mongodb.entity;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: mongodb 考生 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/6
 */
@Document(collection = "TEExamStudent")
public class MTEExamStudentEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @Id
    private Long id;

    @ApiModelProperty(value = "批次id")
    private Long examId;

    @ApiModelProperty(value = "场次id")
    private Long examActivityId;

    @ApiModelProperty(value = "学生id")
    private Long studentId;

    @ApiModelProperty(value = "科目代码")
    private String courseCode;

    @ApiModelProperty(value = "虚拟考场代码，考试唯一")
    private String roomCode;

    @ApiModelProperty(value = "证件号，机构内唯一")
    private String identity;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "扩展字段")
    private String parameter;

    @ApiModelProperty(value = "剩余考试次数")
    private Integer leftExamCount;

    @ApiModelProperty(value = "当前考试记录ID")
    private Long currentRecordId;

    @ApiModelProperty(value = "最终生效的记录ID")
    private Long selectRecordId;

//    @DBRef
//    private MTEStudentEntity mteStudentEntity;
//
//    @DBRef
//    private MTEExamEntity mteExamEntity;
//
//    @DBRef
//    private MTEExamActivityEntity mteExamActivityEntity;
//
//    @DBRef
//    private List<MTEExamCourseEntity> mteExamCourseEntityList;

//    public MTEExamEntity getMteExamEntity() {
//        return mteExamEntity;
//    }
//
//    public void setMteExamEntity(MTEExamEntity mteExamEntity) {
//        this.mteExamEntity = mteExamEntity;
//    }
//
//    public MTEExamActivityEntity getMteExamActivityEntity() {
//        return mteExamActivityEntity;
//    }
//
//    public void setMteExamActivityEntity(MTEExamActivityEntity mteExamActivityEntity) {
//        this.mteExamActivityEntity = mteExamActivityEntity;
//    }
//
//    public List<MTEExamCourseEntity> getMteExamCourseEntityList() {
//        return mteExamCourseEntityList;
//    }
//
//    public void setMteExamCourseEntityList(List<MTEExamCourseEntity> mteExamCourseEntityList) {
//        this.mteExamCourseEntityList = mteExamCourseEntityList;
//    }
//
//    public MTEStudentEntity getMteStudentEntity() {
//        return mteStudentEntity;
//    }
//
//    public void setMteStudentEntity(MTEStudentEntity mteStudentEntity) {
//        this.mteStudentEntity = mteStudentEntity;
//    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public Integer getLeftExamCount() {
        return leftExamCount;
    }

    public void setLeftExamCount(Integer leftExamCount) {
        this.leftExamCount = leftExamCount;
    }

    public Long getCurrentRecordId() {
        return currentRecordId;
    }

    public void setCurrentRecordId(Long currentRecordId) {
        this.currentRecordId = currentRecordId;
    }

    public Long getSelectRecordId() {
        return selectRecordId;
    }

    public void setSelectRecordId(Long selectRecordId) {
        this.selectRecordId = selectRecordId;
    }
}
