package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 机构
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_b_org", description = "机构")
public class TBOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "机构代码，通常用学校简称表示，全局唯一")
    @TableId(value = "org_code")
    private String orgCode;

    @ApiModelProperty(value = "名称")
    @TableId(value = "name")
    private String name;

    @ApiModelProperty(value = "logo图片url")
    @TableId(value = "logo")
    private String logo;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @TableId(value = "enable")
    private Integer enable;

    @ApiModelProperty(value = "是否开启模考")
    @TableId(value = "id")
    private Integer enable_simulate;

    @ApiModelProperty(value = "模考试卷id")
    @TableId(value = "simulate_paper_id")
    private Long simulatePaperId;

    @ApiModelProperty(value = "外部访问凭证")
    @TableId(value = "access_key")
    private String accessKey;

    @ApiModelProperty(value = "外部访问密钥")
    @TableId(value = "access_secret")
    private String accessSecret;

    @ApiModelProperty(value = "创建时间")
    @TableId(value = "create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableId(value = "update_time")
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getEnable_simulate() {
        return enable_simulate;
    }

    public void setEnable_simulate(Integer enable_simulate) {
        this.enable_simulate = enable_simulate;
    }

    public Long getSimulatePaperId() {
        return simulatePaperId;
    }

    public void setSimulatePaperId(Long simulatePaperId) {
        this.simulatePaperId = simulatePaperId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
